Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603859 - Add package: iwl6050-firmware - Firmware for Intel(R) Wireless WiFi Link 6050 Series Adapters
Add package: iwl6050-firmware - Firmware for Intel(R) Wireless WiFi Link 6050...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iwl6050-firmware (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On: 601771
Blocks: 603860
  Show dependency treegraph
 
Reported: 2010-06-14 13:39 EDT by John W. Linville
Modified: 2010-06-15 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: iwl6050-firmware-9.201.4.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 601771
: 603860 (view as bug list)
Environment:
Last Closed: 2010-06-15 11:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2010-06-14 13:39:15 EDT
+++ This bug was initially created as a clone of Bug #601771 +++

Spec URL: http://linville.fedorapeople.org/iwl6050-firmware.spec
SRPM URL: http://linville.fedorapeople.org/iwl6050-firmware-9.201.4.1-1.fc14.src.rpm
Description:
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6050 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

--- Additional comment from notting@redhat.com on 2010-06-08 13:06:33 EDT ---

Well, it appears to just be s/6000/6050/ on the iwl6000-firmware package. But still, for completeness sake...

MUST items:
- Package meets naming and packaging guidelines - ok
- Spec file matches base package name. - ok
- Spec has consistant macro usage.  - ok
- Meets Packaging Guidelines. - ok
- License  - standard firmware license
- License field in spec matches - "Redistributable, no modification permitted" 
- License file included in package - ok
- Spec in American English - ok 
- Spec is legible. - ok
- Sources match upstream md5sum:

1cbca537d7c9af2c8d1f40b00cb430055b6f06de4b6d29e2a318bb0eae3352ff  iwlwifi-6050-ucode-9.201.4.1.tgz

OK

- Package needs ExcludeArch - N/A
- BuildRequires correct - OK
- Spec handles locales/find_lang - N/A
- Package is relocatable and has a reason to be. - N/A
- Package has %defattr and permissions on files is good. - OK
- Package has a correct %clean section. - OK
- Package has correct buildroot - OK
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Package is code or permissible content. - oK
- Doc subpackage needed/used. - N/A
- Packages %doc files don't affect runtime.  - N/A

- Package compiles and builds on at least one arch. - OK (tested x86_64)
- Package has no duplicate files in %files.  - OK
- Package doesn't own any directories other packages own. - OK
- Package owns all the directories it creates.  -OK
- No rpmlint output. - ***

iwl6050-firmware.noarch: W: spurious-executable-perm /usr/share/doc/iwl6050-firmware-9.201.4.1/README
iwl6050-firmware.noarch: W: spurious-executable-perm /usr/share/doc/iwl6050-firmware-9.201.4.1/LICENSE

That can be fixed, but it's not critical.

- final provides and requires are sane: - OK

SHOULD Items:

- Should build in mock. - didn't try
- Should build on all supported archs - didn't try
- Should function as described. - OK (tested with 6250 part)
- Should have dist tag - OK
- Should package latest version - OK

APPROVED. Feel free to fix the docs perms.

--- Additional comment from linville@redhat.com on 2010-06-08 13:25:10 EDT ---

New Package CVS Request
=======================
Package Name: iwl6050-firmware
Short Description: Firmware for Intel(R) Wireless WiFi Link 6050 Series Adapters
Owners: linville
Branches: F-12 F-13
InitialCC: linville

--- Additional comment from kevin@tummy.com on 2010-06-11 00:54:52 EDT ---

CVS done (by process-cvs-requests.py).
Comment 1 Fedora Update System 2010-06-14 13:44:31 EDT
iwl6050-firmware-9.201.4.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iwl6050-firmware-9.201.4.1-2.fc13
Comment 2 Fedora Update System 2010-06-15 11:57:44 EDT
iwl6050-firmware-9.201.4.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.